Package org.apache.sysds.hops.rewrite

## Class RewriteMatrixMultChainOptimizationSparse

- java.lang.Object
- - org.apache.sysds.hops.rewrite.HopRewriteRule
  - - org.apache.sysds.hops.rewrite.RewriteMatrixMultChainOptimization
    - - org.apache.sysds.hops.rewrite.RewriteMatrixMultChainOptimizationSparse

    public class RewriteMatrixMultChainOptimizationSparse
    extends RewriteMatrixMultChainOptimization

Rule: Determine the optimal order of execution for a chain of matrix multiplications Solution: Classic Dynamic Programming Approach: Currently, the approach based only on matrix dimensions and sparsity estimates using the MNC sketch Goal: To reduce the number of computations in the run-time (map-reduce) layer

### Constructor Summary

Constructors
`RewriteMatrixMultChainOptimizationSparse()`

### Method Summary

### Methods inherited from class org.apache.sysds.hops.rewrite.RewriteMatrixMultChainOptimization

`rewriteHopDAG, rewriteHopDAGs`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RewriteMatrixMultChainOptimizationSparse

    public RewriteMatrixMultChainOptimizationSparse()